/*
 * RageIRCd, an advanced Internet Relay Chat daemon (IRCd)
 * include/zlink.h: zipped links header file
 *
 * Copyright (C) 2002 the past and present IRCd developers, and others.
 * Refer to doc/authors/ for full credits and copyright details.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * $Id: zlink.h,v 1.7 2004/03/04 20:52:57 rageircd Exp $
 */

#include "zlib.h"

#define ZIP_MIN_BLOCK		1024
#define ZIP_MAX_BLOCK		8192

#define ZIP_IN_SIZE		131072
#define ZIP_OUT_SIZE		(ZIP_MAX_BLOCK * 2)

typedef struct _ziplink_in ziplink_in;
typedef struct _ziplink_out ziplink_out;

struct _ziplink_in {
	z_stream stream;
};

struct _ziplink_out {
	z_stream stream;
	char buf[ZIP_MAX_BLOCK];
	int size;
};

extern void *zip_create_input_session();
extern void *zip_create_output_session();
extern char *zip_input(void *, char *, int *, int *, char **, int *);
extern char *zip_output(void *, char *, int *, int, int *);
extern int zip_is_data_out(void *);
extern void zip_in_get_stats(void *, unsigned long *, unsigned long *, double *);
extern void zip_out_get_stats(void *, unsigned long *, unsigned long *, double *);
extern void zip_destroy_input_session(void *);
extern void zip_destroy_output_session(void *);
